pkgIndexFile Class Referenceabstract
Inheritance diagram for pkgIndexFile:
[legend]

## Classes

class | Type

## Public Member Functions

virtual const Type * | GetType () const =0
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual std::string | Describe (bool const Short=false) const =0
virtual std::string | ArchiveURI (std::string const &) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
virtual bool | Exists () const =0
virtual bool | HasPackages () const =0
virtual unsigned long | Size () const =0
virtual bool | Merge (pkgCacheGenerator &, OpProgress *const)
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Attributes

bool | Trusted

The documentation for this class was generated from the following files:

- apt-pkg/indexfile.h
- apt-pkg/indexfile.cc